From: [email-masked] (wxsat mailer)
To: [email-masked]
Date: 95-12-02 01:37:25 EST

# The following is forwarded by the wxsat mail list daemon.
# Mail addressed to wxsat-mail-daemon@ssg will be discarded.
# Replies: [email-masked] - subscription changes: [email-masked]

Subject: Italian Homebrew HRPT (NOAA95)
From: [email-masked] (Jeff Wallach)
Date: Fri,  1 Dec 95 16:14:00 -0600

This file is now on the Dallas Remote Imaging Group  FTP site:

ftp.drig.com     /pub/hrtp95.exe

-> I JUST RECEIVED FROM ENRICO FALCONELLI THE DISK WITH THE NOAA95
-> SOFTWARE. The file is called SETUP.EXE and is 1,5 Mb large.
-> I'd like to post it in some anonymous FTP but which one ??
-> I'm not the writer, nor the distributor. I only share this
-> program if you are interested. This is the Englis text that
-> Falconelli wrote to explain software features:
-> _______________________________________________________________
-> ZDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
-> 3             Enrico Falconelli  IK1VCQ @ IK1MSL.IPIE.ITA.EU
->      3 3               str. Calciati n. 12 - 28100 NOVARA - ITALIA
->             3 3        PSE NEVER PHONE ME !!! only mail or packet
-> messages TNX           3 3
->                               3 3     ZDDD  ZDD  ZDDDDDD   ZDDDDDD
-> ZDDDDDD     ZDDDDDD  ZDDDDDDDD        3 3     ZDDZD ZDD ZDD   ZDD ZDD
->   ZDD ZDD   ZDD   ZDD   ZDD ZDD              3 3     ZDD ZDZDD ZDD
-> ZDD ZDDDDDDDD ZDDDDDDDD    ZDDDDDDD ZDDDDDDD         3 3     ZDD
-> ZDDD ZDD   ZDD ZDD   ZDD ZDD   ZDD         ZDD       ZDD        3 3
->   ZDD   ZDD  ZDDDDDD  ZDD   ZDD ZDD   ZDD    ZDDDDDD  ZDDDDDDD
-> 3 3
->        3 3       HRPT program for digital NOAA polar satellite
-> transmissions        3 3      >>>  PUBLIC DOMAIN !!!   ALL COMMERCIAL
-> USE IS PROHIBITED  <<<      3 3
->                                    3 3    With the help of: Roberto
-> Ferrari - Roberto IW1BUL - Massimo IK1IZA   3 3      Angelo IK1AYT -
-> Angelo IK1MSL - Mario IK1GKJ - Chiara Fregonara     3
-> @DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
->
-> .. FOR A QUICK INTRODUCTION ... SEE FILE  README.TXT !!!
->
-> Hello! Here is a little doc translation with my little English !! If
-> you want to correct my Enlish mistakes and return a good DOC file to
-> me... I will be happy... place here your name with many thanks !!!
-> (but since now... 20/10/95 nobody seems .... hi) Also for German
-> people... a little German translation will wellcome !
-> Thought of the day...Sure the poor language of this paper, my little
-> English and the desciption sometimes approximate will make the
-> high-minded in this subject smile. However, once finished  writing a
-> programme...to write the manual is not a pleasure... first nobody
-> usually reads it... second two manuals are necessary (ITA & ENG)...
-> besides it's easy to find people that do not read any manuals but
-> then write to authors messages about programmes that do not work
-> well! Also, I have never appreciated, although respecting their
-> cultural level, people who have good know-how and explain to you
-> basic topics with high words in incomprehensible sentences....
-> ### PRG structure:  what you will find on your HD ... C:.
-> C--- ....
-> @---NOAA95      program files
->   C---DOC     all the info that you may need
->   C---DRV     some video driver
->   C---GIF     not active at the moment....
->   C---JPG     JPG files (colour and gray scale)
->   C---PCX     save only gray scale 320x200 and 1024x768 (1:2 e 1:1)
->   C---RAW     original satellite files
->   C---TGA     not active at the moment....
->   @---WIN     images processed with a paint prg running under Windows
->
->       C:\NOAA95
-> _NOAA    CFG    if not exist it will created with defaults settings
-> NOAA95   EXE    the programme
->
->       C:\NOAA95\DOC
-> ---ITA-- ---
-> LEGGIMI  TXT
-> ITA_NOAA TXT
-> ---ENG-- ---
-> README   TXT    read it !!! you will find info and examples !!!
-> ENG_NOAA TXT    ... you are reading it ...
-> --INFO-- ---
-> PART_LST TXT    component list...
-> FRQ_NOAA TXT    NOAA sats freq...
-> DAC      TXT    info abt modify signal dac meter
-> MF_107   TXT    how to draw "IF BW SIGNAL" from the receiver
-> VGA_NOAA TXT    some vga bios mode infos & values
-> HRPT     GIF    typical receiving station's draw
-> DISHxx   JPG    photo of Enrico's & Roby's dish ...
-> SCOPE    GIF    example of what you will see on your oscilloscope
->       C:\NOAA95\JPG
-> NOAA027  JPG    Southern Italy, good-looking colors palette ...
-> NOAA032  JPG    Note the airplane wake and the respective shades!!
-> NOAA041  JPG    Historical Image: PO river run out his embankment...
-> NOAA045  JPG    Notice the heat on the mouth of the ETNA
-> NOAA049  JPG    Yes !!..  really the dunes of sand of the desert!!
-> NOAA102  JPG    special effect (...hi) always the desert!
-> NOAA103  JPG    special effect (...hi) always the desert!
->
->       C:\NOAA95\RAW
-> TEST     EXE    little program to generate a test image: gray scaled
-> bars
->       C:\NOAA95\WIN
-> BALCANI  JPG    example of high resolution image 1280x1024x16Mc -
-> DANUBIO ARANCI   JPG    little fire (abt 4 KM diameter) in SAREDEGNA
-> Island (ITA) SICIL_IR JPG    InfraRed image of SICILIA Island (ITA)
-> ST_MESS  JPG    extreme zoom-in of Stretto di Messina (ITA)
-> M_ROSA   JPG    Northern Italy nicely Monte Rosa, Monte Bianco and
-> all lakes!
->
-> Files RAW notation:
->     HRPTxxx_.RAW   5ch multiplexed
->     HRPTxxx?.RAW   where ? = A,B,C,D,E that are one channel file
->        ...  .ROK   corrected file
->             .ROT   rotated  ... ... ...
->
-> NB: all Raw files are 8 bit per pixell ... 256 gray scale...   you
-> could try to load it, using graphics programs under WINDOWS, if you
->    like...  dimensions are: horizontal 2048 always,
-> hight=file_size/2048
->
-> ... FOR A QUICK INTRODUCTION ... SEE FILE  README.TXT !!!
-> NB: The PROGRAMME only works using files... so you don't need so much
-> RAM   memory... to improve performance make massive use of SMARTDRIVE
-> (up
->    to 8-10 MB if you have 16MB installed)... you will reach the
-> fastest
->    command response !!!
->
-> ### MAIN MENU - available options:
-> - display gray-scaled images previously stored on the HD or FD -
-> receive new images (you need the HRPT board... to insert in the PC) -
-> files management (split, correction, extern edit ...) - all the
-> necessary configurations... - Exit from programme ... quickly by
-> pressing [ESC]
-> ### DSPLAY MENU :
-> - displays RAW  256 gray scaled file... obtained from 1 multiplexed
-> file with split options (from a complete 5 channel file)...
-> they are 2048 pixell large and of variable height according to
-> duration
-> of reception.
->
-> When you have chosen the file you will be able to see:        -
-> 1024x768 1:2  full-scale image
->         - 1024x768 1:1  base scale
->         - 800x600  1:1  good resolution with little zoom
->         - 640x480  1:1  better zoom vs pixell size
->         - 320x200  1:1  max zoom (big pixell but high detail)
->                         verify that 1 pixell --> square 1,1Km*1,1Km
-> al nadir
-> !!
->
-> On Line Commands:        - [HOME]     all sx
->         - [END]      all dx
->         - [PAG-UP]   all up
->         - [PAG-DOWN] all down
->         - the cursor array...
->         - [+]  zoom increase  (1024....->....320)
->         - [-]  ... GUESS !!
->         - [CTRL-J] make a JPG ... you will see a bar & hear start/end
-> beep
->           NB: at the moment this software cannot display gray scaled
-> JPG
->           images (only true color 640x480 are shown)...
->           To view these JPG images you must run the external viewer
->         - [ESC] leave high resolution display ...
->         - [CTRL-P] work only with 1024 and 320 resolutions...it may
-> be used
->           to make a PCX file of big size but more detailed..
->         - [ALT-1] will export the current picture (current video
-> size) in
->           a RAW file...this is necessary for a successive image
-> process with
->           a good paint program perhaps under Windows... file
-> NWINxxx.RAW
->         - [ALT-5] work similary... but looking for all the 5 channels
-> file
->           and make a RAW image with sequentially all the 5 available
-> picture
->           ...always using the current point of view and screen
-> resolution...
->           (export file name QWINxxx.RAW)
->           This file imported in a good graphic program give you the
-> chance
->           to manipulate 3 channels using RGB or 4 channels using
-> CMYK...
->           simultaneously ... wonderfull color images !!!
->           Try also to increase ZOOM quality with a RESIZE option (if
-> your
->           graphic program support this command) ... a good
-> interpolation
->           will give very high quality images...
->
-> PALETTE: From Noaa 5.03  select with [F1]...[F8], store with
-> [CTRL-F1]....[CTRL-F8]. You must know (if you do not I will tell
-> you...) that even using a 256 colors mode you will appreciate only 64
-> grey scale... so you must utilize an appropriate distribution of
-> these levels (contrast more to view detail on earth... less near high
-> levels for not having white clouds with no depth... In this PRG we
-> will use a curve described by inversetrigonometric tangent
-> function...
-> - [SHIFTdx]+cursor array: amplitude (vertical and horizontal) -
-> [SHIFTsx]+cursor array: traslation (up, down, ...etc)
-> By the channel levels the grays are distribuited on the left or on
-> the right (black or white).F1, F2, ..., F5 are already optimized for
-> the corrisponding channel (A, B, ..., E). F6 is an example of linear
-> shape... you could change all this setting and save modification by
-> pressing CTRL-Fn... Note that CTRL-J works using files... It does not
-> matter if a palette is shown on the video...
->       - build JPG color image: the output is a true color (24bit)
-> image
->         you could add NOAA channels (1-5) with colors RGB...
->         very interesting effect and many other detail will be shown
-> if
->         you try to add colours... (...channels)
->
->       - then the programme asks you if you want to load images as
-> positive,
->         negative (reverse..) or NOT to load any files for the
-> relative
-> colour.
->
->         - here only zoom in is available:
->          640x480  1:1  base resolution...
->          with the [+] key you will zoom in up to 5:1 ... pixells
-> become very
->          large but remember that 1 pixel al nadir is a square of land
-> about
->          1,1 Km side.. you could try to verify the distance between
-> cities...
->          for example... couldn't you ???
->
->         - the same commands of gray scale modes are available...
->          use TAB key to change B G R color ... high-lighting the
->          little triangle under the curve.... then modify it..
->          ...CTRL-J to make a JPG file... also in Zoom mode
->          ...CTRL-Fn and Fn to save and recall palettes
->
->         - display 640x480 true color image using 32K or 16M colors...
->          no modifications are allowed here... only file display...
->          NB: JPG are very short files... high compression... you have
-> fewer
->          details and generate little qrm near highly contrastated
-> edge...
->
-> ### EDIT FILES MENU:
-> The bird... transmits a line of 10240 words each  (each word is 10
-> bit... ... only 8 MSb are saved).. data are multiplexed: 1st pixell
-> ch A, 1st pixell ch B, ... 1st pixell ch E, 2nd pixell ch A, ....
-> where A,...,E are 5 channels... you must separate them with SPLIT
-> function using ascending option if NOAA sat goes from south to north,
-> or descending option if from north to south... If you like ... during
-> the evening passes you could receive (for example) only  D channel
-> (Infra Red) ...   then you only need to rotate file (180x) ... no
-> splits are required....
->
-> ERROR CORRECTION if you haven't received a line... the programme
-> can't create it by itself... but if some lines are lost... this
-> feature can replace these white lines with the previous line... that
-> is good for not high zoom in, of course...By zooming you will see the
-> correction you have made... How to replace those lines ?? 2 cut
-> values:
-> -ABSOLUTE VALUE ... line lighting ( = sum of all pixell values) if
-> A.V. is                    reached ... the line is WHITE so it will
-> be replaced
->                     by the programme itself
->
-> -RELATIVE VALUE ... the lighting can't have quick changes from a line
-> to                    the next... this value determines the programme
-> range
->                     and replaces the too different lines... with the
-> last
->                     correct line...
->
-> NB: high value: you need big variations to have corrections...   too
-> low value: slight variations suffice to cause corections, at times
->    even when corections are not necessary, being the high contrast
->    corresponding to reality.
->    you must try to reach the best compromise...
->
-> ### RECEIVING MENU :
->                 - very easy.... all 5 channels ....
->                 - only one... which one ??? A,...,E
->
-> on the top right corner you see the MB available on your hard disk
-> ... at the moment, this value does not decrease during the
-> reception... File length could be easily evaluated during the
-> reception: number recived line * 10.   ex : 3000 lines ... abt 30
-> MB.... for a good NOAA pass... you need abt 50 MB and then 50 more
-> for the split function !!
-> The received file name is: HRPTXXX_.RAW if complete 5 channels are
-> selected or HRPTXXX?.RAW if single channel... (? = A...E) where:  XXX
-> progressive number... ( if 032 is reached... and the 017, 021, 030,
-> 031 & 032 are deleted the next image will be saved as 30 which is the
-> highest number it finds free and therefore is used. Of course, a
-> multiplexed HRPTxxx_.RAW ... splits 5 HRPTxxx?.RAW (? = A...E)
->
-> The video adapters, instead, are very different between them... (ndr.
-> perhaps they are hand-made... hi) ... since NOAA95 5.03 some video
-> adapterdrivers ave been available... use the CFG menu' to select the
-> default DRV path (last option)... and then choose your video
-> adapter... don't forget to set the correct BIOS MODE looking for the
-> correct value on your video adapter user manual !!! Now also a VESA
-> driver is available... if you decide to use it, you must specify
-> ax=4f02 and bx=vesa_mode  ex: bx=105 for my 1024x768x256c NB: this is
-> the default configuration... Note that 320x200x256 is a standard vga
-> mode: always ax=13 bx=0 !!
-> *********************************************************************
->
-> TYPICAL KIND OF STATION...
->
-> To have an idea abt... see HRPT.GIF and DISH.JPG
-> Dish dimension: recomended diameter between 1.2 and 1.8 mt ...
-> If you already have 1 mt dish ... using with Meteosat... I think it
-> will work the same ... also the "pot" and the converter ...
-> If you don't use the converter ... your receiver must cold be tuned
-> on 1707 and 1698 MHz...
-> If you use the converter from 1691 to 134 MHz band:
-> 1691 -> 134 MHz ... 1707 -> 150  e 1698 -> 141;
->
-> Be care: the coaxial cable from the receiver to the PCB must not be
-> too long and of good quality... we use one like used for SATTV  abt 1
-> mt lenght...
-> *********************************************************************
->
-> NOTATIONS
-> HRPT.GIF file shows the necessary hardware. MF_107.TXT file shows how
-> to draw "IF BW SIGNAL" from the receiver: first of all filters. The
-> board to be inserted in the PC is set as H300. Verify no other boards
-> using this address are already in the PC. If any should be in the PC
-> it is nscessary to modify "DAC address value" in the " CONFIGURATION
-> PROGRAMME" of the MAIN MENU. To modify board address see DAC.TXT
-> file.
-> SETTINGS
-> The board calibrations consist in the adjust of the 4 MF with an
-> oscillo scope connect to J2 on the PCB and with satellite signal:
-> - adjust coils T1 and T2 ( amplifier-filter at 10.7 MHz ), with pink
-> core, to obtain a band-width of +/- 2 MHz.
->
-> - adjust coil T3 ( oscillator of the demodulator, with orange core )
-> to sintonize IF signal at 10.7 MHz and obtain a wave-form much
-> similar at
-> the example show in SCOPE.GIF file.
->
-> - coil T4 ( clasp satellite clock, pink core ) must be adjust after
-> when a frequecy counter is connect to pin n.11 of IC HD-6409 to read
-> 21192.8 KHz.
-> During satellite signal recezione is possible re-adjust T4, seeing on
-> the
-> PC  monitor with the programme in receive mode, that the indicator
-> " LINE-START " flashing regularly with goods signals.
->
-> - trimmer R.8  adjust the AFC intervention to compensate the doppler
-> effect. trimmer R.2  adjust the beginning scale of the " SIGNAL-BAR
-> ".
-> trimmer R.15 adjust the end of scale of the " SIGNAL-BAR ".
->
-> *********************************************************************
->
-> VERY IMPORTANT !!!!  write to me (by packet or mail)  no problem, I
-> will answer you as soon as possible... but  NEVER  PHONE  ME  !!!
-> *********************************************************************
->
-> ### INTRODUCTION:  at the end ??? why not ?
->
-> This program was born as a joke... and was developed for the same
-> reason... "it does not claim to teach anything to anybody " I wrote
-> It only for a personal use... because commercial software is too
-> expensive... and none is available for an HRPT programme... So this
-> software works well in my PC and in my friend's PC... it is compiled
-> for 286 with 287 emulation... I think you will not have any problems
-> running it in wichever standard PC...
-> MANY MANY MANY THANKS !!! To the "Roberts"... "precursori" of the
-> HRPT, the "Angels"... for their great patience...  And then MAX with
-> his geniality... Mario, wonderful TSTHOST .. . My parents ... that
-> always give me a dinner .... even if I spend here at the PC the 97%
-> of my time... instead of studying in the library...
-> ...have you read README.TXT file in this package yet ????
-> 73 Enrico.

Mauri has placed this code   (filename      hrpt95.exe)

on the Dallas Remote Imaging Group    ftp site   (ftp.drig.com)

it is available for anyone that wants its.

Thanks to Mauri.

 jeff

--------------------------- End Of Message
-----------------------------------

----------------------- Headers --------------------------------
From [email-masked]  Sat Dec  2 01:30:55 1995
Return-Path: [email-masked]
Received: from mx5.smtp.psi.net (mx5.smtp.psi.net [38.8.139.2]) by
emin10.mail.aol.com (8.6.12/8.6.12) with ESMTP id BAA27743; Sat, 2 Dec 1995
01:30:53 -0500
Received: from uu7.psi.com by  mx5.smtp.psi.net (8.6.12/SMI-4.1.3-PSI)
	id BAA01300; Sat, 2 Dec 1995 01:28:50 -0500
Received: from wxsat.UUCP by uu7.psi.com (5.65b/4.0.940727-PSI/PSINet) via
UUCP;
        id AA15135 for ; Fri, 1 Dec 95 23:59:55 -0500
Received: by ssg.com (1.64/waf)
	via UUCP; Sat, 02 Dec 95  04:10:02 UTC
	for [email-masked]
To: [email-masked]
Subject: Italian Homebrew HRPT (NOAA95)
From: [email-masked] (wxsat mailer)
Reply-To: [email-masked]
Original-Sender: [email-masked] (Jeff Wallach)
Message-Id: <[email-masked]>
Date: Sat, 02 Dec 95  04:10:02 UTC
Organization: System Support Group